{% extends 'users/base.html' %}

{% block head_content %}
    <title>Instagram sign in</title>
{% endblock head_content %}

{% block container %}

    {% if form.errors %}
        <p class="alert alert-danger">
            Your username and password didn't match. Please try again.
        </p>
    {% endif %}

    <form method="POST" action='{% url "users:login" %}'>
        {% csrf_token %}
        <div class="form-group">
            <input type="text" class="form-control" placeholder="Username" name="username">
        </div>
        <div class="form-group">
            <input type="password" class="form-control" placeholder="Password" name="password">
        </div>
        <button class="btn btn-primary btn-block mt-5" type="submit">Sing in!</button>
    </form>

    <p class="mt-4">Don't have an account yet? <a href="{% url 'users:signup' %}">Sign up here.</a></p>

{% endblock container %}

